#ifndef ARC_AUDIO_CONFIG_H_
#define ARC_AUDIO_CONFIG_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>
#include "arc/std/string.h"

typedef struct ARC_Config ARC_Config;
void ARC_AudioConfig_Init(ARC_Config *config);

uint8_t ARC_Audio_Read(ARC_Config *config, ARC_String *string, void **value);

void ARC_Audio_Delete(ARC_Config *config, ARC_String *string, void *value);

#ifdef __cplusplus
}
#endif

#endif //ARC_AUDIO_CONFIG_H_